{ config, lib, ... }:

with lib;

let
  cfg = config.mine.zfsMounts;
in {
  options.mine.zfsMounts =  mkOption {
    type = types.attrsOf types.str;
    default = {};
  };

  config = {
    mine.zfsMounts = let
      zfsFilesystems = lib.filterAttrs (_: v: v.fsType == "zfs") config.fileSystems;
    in lib.mapAttrs' (_: v: lib.nameValuePair v.device v.mountPoint) zfsFilesystems;
  };
}
